Package com.avaya.clientservices.common

## Class RegistrationGroup

- java.lang.Object
- - com.avaya.clientservices.common.RegistrationGroup

-     public class RegistrationGroup
      extends java.lang.Object

  Defines a group of servers that should be registered with simultaneously

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RegistrationGroup​(SignalingServer signalingServer)` | Construct a RegistrationGroup object for a single signaling server.
    `RegistrationGroup​(SignalingServer[] signalingServers)` | Construct a RegistrationGroup object for a group of signaling servers.
    `RegistrationGroup​(SignalingServer[] signalingServers, int simultaneousRegistrationLimit)` | Construct a RegistrationGroup object for a group of signaling servers with a specified simultaneous registration limit.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SignalingServer[]` | `getSignalingServers()` | Get the `SignalingServer` objects that comprise this group.
    `int` | `getSimultaneousRegistrationLimit()` | Get the number of servers that the user can simultaneously register with.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RegistrationGroup

          public RegistrationGroup​(SignalingServer[] signalingServers,
                                   int simultaneousRegistrationLimit)

      Construct a RegistrationGroup object for a group of signaling servers with a specified simultaneous registration limit.
      Parameters:
        `signalingServers` - A group of SignalingServer objects that the User should register with simultaneously.
        `simultaneousRegistrationLimit` - The number of servers that the user can simultaneously register with.

    - #### RegistrationGroup

          public RegistrationGroup​(SignalingServer[] signalingServers)

      Construct a RegistrationGroup object for a group of signaling servers.
      Parameters:
        `signalingServers` - A group of SignalingServer objects that the User should register with simultaneously.

    - #### RegistrationGroup

          public RegistrationGroup​(SignalingServer signalingServer)

      Construct a RegistrationGroup object for a single signaling server.
      Parameters:
        `signalingServer` - A single server to communicate with.

  - ### Method Detail

    - #### getSimultaneousRegistrationLimit

          public int getSimultaneousRegistrationLimit()

      Get the number of servers that the user can simultaneously register with.
      Returns:
        The number of servers that the user can simultaneously register with.

    - #### getSignalingServers

          public SignalingServer[] getSignalingServers()

      Get the `SignalingServer` objects that comprise this group.
      Returns:
        The SignalingServer objects that make up the group.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`